import { AfterViewChecked, ChangeDetectorRef, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorTemplate } from '../../models/qms-ckeditor-template.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorTemplateService } from '../../services/qms-ckedtior-template.service';
interface ITemplate {
    id: number;
    title: string;
}
export declare class QMSCKEditorTemplateComponent extends QMSCKEditorBaseComponent implements OnInit, AfterViewChecked {
    private cdr;
    private dialog;
    private translate;
    private templateService;
    dialogRef: MatDialogRef<QMSCKEditorTemplateComponent>;
    data: QMSCKEditorTemplate;
    LANG: any;
    templateFormGroup: FormGroup;
    isExpanded: boolean;
    content: string;
    templateList: QMSCKEditorTemplate[];
    templates: ITemplate[];
    template: QMSCKEditorTemplate;
    selectedId: number;
    isEdit: boolean;
    constructor(cdr: ChangeDetectorRef, dialog: MatDialog, translate: TranslateLibraryService, templateService: QMSCKEditorTemplateService, dialogRef: MatDialogRef<QMSCKEditorTemplateComponent>, data: QMSCKEditorTemplate);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onCloseDialog(): void;
    getTemplate(): void;
    addNoneTemplate(template: ITemplate[]): void;
    onSelectChange(): void;
    deleteTemplate(): void;
    saveTemplate(): void;
    cancelTemplate(): void;
    updateTemplate(): void;
}
export {};
